this.name			= "demand_driven_economy";
this.author			= "Redspear";
this.copyright		= "2021 Redspear";
this.licence		= "CC BY-NC-SA 4.0"; 
this.description	= "Import demand by economy type";
this.version		= "1.4";

"use strict";

// Galactic Charts

this.guiScreenChanged = function ()	//	a little in game clue/flavour with some variance thrown in

{
    if (guiScreen === "GUI_SCREEN_SYSTEM_DATA") {
		
        if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 0) {	// rich industrial
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("Reliable forms of investment are much sought after by discerning buyers.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("When you're already rich, it's not what you have in the bank but what you have in your vault.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("Rich systems are seldom this politically unstable. Some are prepariong for the bubble to burst.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("Gold and gems are always valued here. A little 'political insurance' remains popular.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("When the political climate is a little more 'fluid' then real wealth isn't really measured in credits anymore, or at least not for long.");
			}
			else {	// safer systems
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Highly successful, industrial systems are home to many prosperous citizens.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("Ostentatious displays of wealth are not uncommon here.");
				}
				else {
				if (player.ship.targetSystem < 76) {
					mission.addMessageText("Without the more mundane cares of day to day survival, vanity is everywhere.");
				}
				else {	
				if (player.ship.targetSystem < 101) {	
					mission.addMessageText("Wealth equals status here and those who have it like to flaunt it.");
				}
				else {
				if (player.ship.targetSystem < 127) {	
					mission.addMessageText("Here is a wealthy, modern success story. Expendable income demands expensive non-essentials");
				}
				else {
				if (player.ship.targetSystem < 152) {	
					mission.addMessageText("Visitors wishing to be taken seriously are advised to dress the part before disembarking.");
				}
				else {	
				if (player.ship.targetSystem < 178) {	
					mission.addMessageText("Exotic pelts from across the galaxy often find their way to this system's various boutiques and outlets.");
				}
				else {	
				if (player.ship.targetSystem < 203) {	
					mission.addMessageText("Millenium Wompom Pelts once sold massively here. Customer choice may be more varied now but the demand remains.");
				}
				else {	
				if (player.ship.targetSystem < 229) {	
					mission.addMessageText("Fashion seldom did care about the weather; the splendid, planet-side EnviroDomes finally make such a sentiment seem wise.");
				}
				else {	
					mission.addMessageText("Felines and Rodents alike occasionally react with some alarm upon witnessing the local fashions.");
					}
				}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 1) {	//	average industrial
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("Dreaming of 'making it big' is the norm here.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("Thi planet is also mildly well known for the local tendency to lead a double-life.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("Locals often like to have a hidden cache of something valuable, or illegal, or both.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("As systems struggle to be competitive, the pressure and relative affluence can lead to a significant rise in the use of narcotics.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("The endless grind of trying to get ahead drives many workers to distraction.");
			}
			else {	// safer systems
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Bars of all kinds serve to distract the typical citizen from the daily grind of industrialised life.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("Be they exotic spirits from otherworldly fauna or cheaply imported gutrot, there's a market for them here.");
				}
				else {
				if (player.ship.targetSystem < 76) {		
					mission.addMessageText("Locals like to unwind after a tough work cycle and distractions are imported from across the sector.");
				}
				else {
				if (player.ship.targetSystem < 101) {		
					mission.addMessageText("There is a long-standing tradition of local drinking songs but little concensus on what the words of any one of them might be.");
				}
				else {
				if (player.ship.targetSystem < 127) {
				mission.addMessageText("Worlds like this one made the galaxy what is is today. Perhaps we chose the wrong model.");
				}
				else {
				if (player.ship.targetSystem < 152) {
				mission.addMessageText("High levels of industry can take its toll upon a workforce.");
				}
				else {
				if (player.ship.targetSystem < 178) {	
					mission.addMessageText("The grind of the rat-race can even get the rodents down sometimes. There's a high demand for escapism here.");
				}
				else {
				if (player.ship.targetSystem < 203) {	
					mission.addMessageText("The typical citizen works long shifts for moderate pay. Doing better than most doesn't alwasy make folks happy.");
				}
				else {	
				if (player.ship.targetSystem < 229) {	
					mission.addMessageText("You may have heard that drinking is bad for you. You won't hear it here.");
				}
				else {	
					mission.addMessageText("Quraveian Aron water, Soteraian lethal brandy and Teveriian evil juice are all very popular here.");
					}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 2) {	//	poor industrial
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("Overwork is a big health problem here, as are certain means of trying to cope with it.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("Poor industrial economies are built upon the backs of an even poorer workforce.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("GalCop has expressed considerable concern over such systems. Cynics say is it to protect their wider influence rather than the citizens themselves.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("'Don't trade expensive trivia to a hungry world', has long been standard trading advice. Merchant visitors would do well to heed it in this case.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Many lives here are desperate struggles to find enough food to feed their families while avoiding other, even more desperate, people trying to take it from them.");
			}
			else {	// safer systems	
				if (player.ship.targetSystem < 25) {
                mission.addMessageText("Great fabric mills work endlessly here, subject to adequate supply of course.");
				}
				else {
				if (player.ship.targetSystem < 50) {
                mission.addMessageText("Clothing the galaxy is no small matter an it's a large part of what little income this system generates.");
				}
				else {	
				if (player.ship.targetSystem < 76) {	
					mission.addMessageText("The resident industrialists make what they can in the less lucrative but more perrenial forms of manufacturing.");
				}
				else {
				if (player.ship.targetSystem < 101) {	
					mission.addMessageText("Ornate fabrics are produced here and, with the import of foreign textiles, make simple luxury exports.");
				}
				else {	
				if (player.ship.targetSystem < 127) {		
					mission.addMessageText("After food and water, people need warmth. The raw materials of the latter are made into clothes in numerous planet-side factories.");
				}
				else {
				if (player.ship.targetSystem < 152) {		
					mission.addMessageText("The sheer variety of textiles that the galaxy can offer is staggering and many will find their way here to be made into clothes of one form or another.");
				}
				else {
				if (player.ship.targetSystem < 178) {	
					mission.addMessageText("Superficially industry is booming, but profit is low. The cheap raw materials imported are only worth marginally more once processed.");
				}
				else {	
				if (player.ship.targetSystem < 203) {	
					mission.addMessageText("Low demand necessitates cheap imports, cheap labour and even cheaper employers. It's what keeps systems like this one poor.");
				}
				else {	
				if (player.ship.targetSystem < 229) {	
					mission.addMessageText("Hard work isn't just an admirable character trait here, it's the baseline for survival.");
				}
				else {	
					mission.addMessageText("Much work for little reward is the way of life here. Cheap clothes and produced in their trillions.");
										}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 3) {	//	mainly industrial
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("Many missing people end up here. With a new name (or more likely a number) and a new job but seemingly little to live for.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("More workers are always welcome here, seldom appreciated but always welcomed.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("It may not be wise to step out of line in a place like this. Where life is cheap troublemakers don't tend to last for very long.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("Cheap workers and ceap supplies to keep them working, that's what worlds like this one really run on.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("It wasn't supposed to be like this but the harsh reality of a mainly industrial system is the need for ever cheaper labour and the means to keep them working.");
			}
			else {	// safer systems	
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Nuclear reactors are still the typical means of power generation on mainly industrial worlds.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("This is the kind of place people escape to, trying to start a new life, only to wish that they hadn't.");
				}
				else {
				if (player.ship.targetSystem < 76) {		
					mission.addMessageText("Many came here hoping for the best of both worlds only to end up working at one of the reactors that power this often dreary place.");
				}
				else {
				if (player.ship.targetSystem < 101) {		
					mission.addMessageText("The atomic age never did quite live up to all that was hoped from it. Some systems got left behind, systems like this one.");
				}
				else {
				if (player.ship.targetSystem < 127) {	
					mission.addMessageText("A world very much like this one was the site of a deadly industrial accident. The reactor where it took place is still in use.");
				}
				else {
				if (player.ship.targetSystem < 152) {	
					mission.addMessageText("The distinctive local appearance is entirely unrelated to the long term and extensive use of radioactives on the planet. Thanks for clearing that up GalCop!");
				}
				else {
				if (player.ship.targetSystem < 178) {	
				mission.addMessageText("Lacking the infrastructure to adequately harness the power of the planet, or of the star that it orbits, this world has instead turned to the atom.");
				}
				else {	
				if (player.ship.targetSystem < 203) {	
				mission.addMessageText("'Cleaner Power for a Cleaner Planet', so said Cleaner Radioactive Atomic Power Inc. an early subsidiary of GalCop. For better or worse, this place is one of their legacies.");
				}
				else {
				if (player.ship.targetSystem < 229) {	
				mission.addMessageText("'I'm sure I've been to worse places, unfortunately they were also on this planet.' - Sample tourist review from systems with similar ratings.");
				}
				else {
					mission.addMessageText("You won't find them at the orbital station, planet-side visitors however can sometimes find old signs promoting nuclear energy as the planet's future.");
				}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 4) {	//	mainly agricultural
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("Mining workers here perform some of the toughest shifts throughout the eight only to receive some of the smallest rewards in the sector.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("A couple of generations ago there was a big publicity drive to bring in more workers. Most of them are dead now.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("'More work for less pay' isn't just a joke here.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("'Rocks and Refugees: desperate work and desperate people', was the popular title of a leaked GalCop report, the contents of which included mention of this system.");
			}
			else {	
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("That some of the most valuable commodities can be found within some of the cheapest is a cruel irony that locals know all too well.");
			}
			else {	// safer systems	
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Increasing automation is a common goal of mainly agricultural systems.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("Visitors often remark upon the promotion of robotics within the orbital station and the notable absence of the same on the planet itself.");
				}
				else {
				if (player.ship.targetSystem < 76) {
					mission.addMessageText("The transition from manual labour to mechanisation on such worlds has left many workers worried for their futures.");
				}
				else {
				if (player.ship.targetSystem < 101) {
					mission.addMessageText("The local word for 'modernisation', loosely translated, is also used as a slang word meaning, 'something that never happens'.");
				}
				else {
				if (player.ship.targetSystem < 127) {	
					mission.addMessageText("Marketing material for this system describes a swiftly modernising, developing economy.");
				}
				else {
				if (player.ship.targetSystem < 152) {	
					mission.addMessageText("Early attempts at making work more palatable, such as the slogan 'Mining Rocks!', soon became reappropriated as 'Mining Sucks!'.");
				}
				else {
				if (player.ship.targetSystem < 178) {	
					mission.addMessageText("Systems like this one risk getting left behind without embracing something of industrial efficiency.");
				}
				else {		
				if (player.ship.targetSystem < 203) {	
					mission.addMessageText("Local officials often complain that it requires considerable progress just to stay this far behind.");
				}
				else {	
				if (player.ship.targetSystem < 229) {	
					mission.addMessageText("This is the kind of system that is periodically visited by senior GalCop personnel telling all that they haven't been forgotten about.");
				}
				else {	
					mission.addMessageText("'Poor agriculture in waiting' is how some of these systems are described. The desperate drive to escape that fate is palpable.");
					}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 5) {	//	rich agricultural
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("When the political climate is a little more 'fluid' then real wealth isn't really measured in credits anymore, or at least not for long.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("What the poor man works hardest for, the rich man adorns himself with. The two extremes of production economies in the 4th millenium.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("Not all that glitters is gold; sometimes it's even better!");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("It's not that the super rich don't appreciate gold, it's just that there are more valuable comodities to hold their interest.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Rich systems are seldom this politically unstable. Reliable forms of investment are much sought after by discerning buyers.");
			}
			else {	// safer systems	
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Affluent rural worlds are often beautiful but sometimes lack the finer components of urban convenience.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("Plenty of money but sometimes a little less opportunity to own the 'finer things' of consumerism.");
				}
				else {
				if (player.ship.targetSystem < 76) {	
					mission.addMessageText("Planet-siders are known for their love of the latest non-essentials. Advertisers exploit this trait mercilessly.");
				}
				else {
				if (player.ship.targetSystem < 101) {	
					mission.addMessageText("More leisure time means more advertising exposure, certainly at this system it does.");
				}
				else {	
				if (player.ship.targetSystem < 127) {
					mission.addMessageText("'Beautiful scenery is all well and good but what use is it if I can't enjoy a good coffee?', is often heard from visitors.");
				}
				else {
				if (player.ship.targetSystem < 152) {
					mission.addMessageText("People come here for the scenery but getting the most wealthy to stay is dependant upon the regular supply of luxury items.");
				}
				else {
				if (player.ship.targetSystem < 178) {
					mission.addMessageText("It's remarkable how often one's needs increase in direct proportion to one's wealth.");
				}
				else {
				if (player.ship.targetSystem < 203) {	
					mission.addMessageText("What can you get the world that has everything, when whatever it doesn't have it doesn't need? Whatever it doesn't need of course!");
				}
				else {		
				if (player.ship.targetSystem < 229) {	
					mission.addMessageText("It is the ambition of many to one day afford to live on a world like this one. For most, such a dream will never be within their reach.");
				}
				else {	
					mission.addMessageText("One of the most exclusive holiday destinations, catering for the obscenely wealthy. They may be few but their appetites are voracious.");
				}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 6) {	//	average agricultural
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("Cut-throat competition amongst farmers drives a fierce demand for 'insurance' policies of various unofficial sorts.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("Due to general instability, the ideal gift for a local farmer in these parts is said to be a 'platinum assault rifle'.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("Citizens seek to defend themselves from misfortunes both financial and physical.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("In this system, platinum doubles as a useful tecnological component as well as a guard against economic collapse.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Crime and the war against it can easily get out of control despite GalCop's best efforts.");
			}
			else {	// safer systems	
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Growing production economies like this one typically have good infrastructure but lack optimisation.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("There is the common belief that such sytems aren't quite living up to their potential and that there is much room for growth.");
				}
				else {
				if (player.ship.targetSystem < 76) {
					mission.addMessageText("Farmers here are often left frustrated at the success of their richer counterparts elsewhere.");
				}
				else {
				if (player.ship.targetSystem < 101) {
					mission.addMessageText("Sophisticated climate prediction methods are in high demand here.");
				}
				else {
				if (player.ship.targetSystem < 127) {
					mission.addMessageText("What worlds like this one lack to really be a success is the most up-to-date methods and strategies for monitoring, modelling and gene-editing crops.");
				}
				else {
				if (player.ship.targetSystem < 152) {
					mission.addMessageText("Some see such areas as 'nearly systems' with investors scrambling to get involved in those that are just about to fulfil their potential.");
				}
				else {
				if (player.ship.targetSystem < 178) {		
					mission.addMessageText("Primary production requires responding to multiple variables as close to pre-emptively as possible. Any means of reliably doing so is highly valued here.");
				}
				else {	
				if (player.ship.targetSystem < 203) {		
					mission.addMessageText("The latest computing technology is always in demand here. It's the standard means by which such systems advance.");
				}
				else {	
				if (player.ship.targetSystem < 229) {		
					mission.addMessageText("Every average agricultural system would be rich if there weren't so many of them. Competitiomn between them is fierce.");
				}
				else {	
					mission.addMessageText("'The Ma-Corn Baskets of the Eight', typical agriculturals end up feeding much of the galaxy while richer neighbours farm either more profitable goods or finer quality produce.");
					}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
		
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 7) {	//	poor agricultural
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 50) {	//	dangerous systems
				mission.addMessageText("In other systems people fight for wealth or glory, here it's just to survive.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 101) {	//	dangerous systems
				mission.addMessageText("They say, 'Happiness is a super-cooled, rapid-fire, multi-targetting assault rifle'. Almost no one can afford it but those that can tend to buy lots.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 152) {	//	dangerous systems
				mission.addMessageText("Mining is still a thing here. It's dirty work but they're desperate enough to import minerals from which to extract tiny amounts of more valuable trace elements.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 203) {	//	dangerous systems
				mission.addMessageText("In poor, near lawless societies, guns are the popular means of both control and rebellion.");
			}
			else {
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Not all production economies are an idyllic, pastoral paradise. Some are extraction based hell-holes, the kind of homeworld that encourages dreams of a life in space.");
			}
			else {	// safer systems	
				if (player.ship.targetSystem < 25) {
					mission.addMessageText("Agricultural systems that are still trying to establish themselves often require basic structural components.");
				}
				else {
				if (player.ship.targetSystem < 50) {
					mission.addMessageText("If systems like this one are going to progress then they will need to start with the basics.");
				}
				else {
				if (player.ship.targetSystem < 76) {	
					mission.addMessageText("With little in the way of mod-cons, locals tend to be rugged, unsophisticated, loner types - just the sort to annoy pampered, unsophisticated, visitor types.");
				}
				else {
				if (player.ship.targetSystem < 101) {	
					mission.addMessageText("Locals are tough, hard workers by necessity. They often display the charming custom of calling visiting off-worlders by the names of various local, delicate flowers.");
				}
				else {
				if (player.ship.targetSystem < 127) {
					mission.addMessageText("It's not a lack of resources, nor is it a lack of machinery that's holding this system back, rather it's the lack of docks, adequate stores and expertise.");
				}
				else {
				if (player.ship.targetSystem < 152) {
					mission.addMessageText("Infrastructure. Much discussed and little evidenced.");
				}
				else {
				if (player.ship.targetSystem < 178) {	
					mission.addMessageText("Construction is underway to develop this system but material resources are low.");
				}
				else {	
				if (player.ship.targetSystem < 203) {	
					mission.addMessageText("Modern alloys are in short supply here and shipments are always welcome..");
				}
				else {	
				if (player.ship.targetSystem < 229) {	
					mission.addMessageText("The poorer systems need basic, relatively cheap materials. In the case of an agricultural world, it's not to consume but to build.");
				}
				else {	
					mission.addMessageText("One of the poorest systems in the sector. There is a desperate need for simple construction materials.");
						}
					}
				}
			}
			}
			}
				}
				}
				}
			}
			}
			}
			}
			
		}
		}
	}
}

//	Market Manipulation

this.shipExitedWitchspace = function()	// arrival and setting the markets

{
    if (system.isInterstellarSpace) return;	// no conventional market and no economy type... let's not bother
	
	//	player.ship.fuel = 7.0;	//	test code so I/you can zip about and see if this thing is actually working...

    var demand_mod = (system.population - 35); // price adjustment for imports
    var supply_mod = 28 - (system.productivity / 1000); // supply adjustment for exports
	var focus_mod = (system.techLevel - 8) * 2; // price adjustment for exports
	var new_stock; // stocking variation
	var new_price; // price variation
	var shortage_factor; //	where there's high demand there's low supply

	
	if(system.economy == 0)     // rich industrial
        {
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("luxuries", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("computers", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("machinery", new_stock); 
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("alloys", new_stock); 
		
		new_price = Math.floor(system.mainStation.market.luxuries.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(system.mainStation.market.computers.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(system.mainStation.market.machinery.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("machinery", new_price); 
		new_price = Math.floor(system.mainStation.market.alloys.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price);  
		
		new_price = Math.floor(560 + 80 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(252 + 61 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(212 + 48 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(64 + 32 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("textiles", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.textiles.quantity / 1.5);
		system.mainStation.setMarketQuantity("textiles", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.radioactives.quantity / 3);
		system.mainStation.setMarketQuantity("radioactives", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.liquor_wines.quantity / 6);
		system.mainStation.setMarketQuantity("liquor_wines", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.furs.quantity / 12);
		system.mainStation.setMarketQuantity("furs", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(164 + 144 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("gem_stones", new_price);
			new_price = Math.floor(372 + 202 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("gold", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.gem_stones.quantity / 1.5);
			system.mainStation.setMarketQuantity("gem_stones", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.gold.quantity / 3);
			system.mainStation.setMarketQuantity("gold", shortage_factor);
			}
        }
        
	if(system.economy == 1)     // average industrial
        {
        new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("luxuries", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("computers", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("machinery", new_stock); 
		new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("alloys", new_stock); 

		new_price = Math.floor(system.mainStation.market.luxuries.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(system.mainStation.market.computers.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(system.mainStation.market.machinery.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("machinery", new_price); 
		new_price = Math.floor(system.mainStation.market.alloys.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price);  
		
		new_price = Math.floor(560 + 47 + ((Math.random() * (20 - 1 + 1)) * 4));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(252 + 60 + ((Math.random() * (20 - 1 + 1)) * 3));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(212 + 36 + ((Math.random() * (20 - 1 + 1)) * 2));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(64 + 24 + (Math.random() * (20 - 1 + 1)));
		system.mainStation.setMarketPrice("textiles", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.textiles.quantity / 1.5);
		system.mainStation.setMarketQuantity("textiles", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.radioactives.quantity / 3);
		system.mainStation.setMarketQuantity("radioactives", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.furs.quantity / 6);
		system.mainStation.setMarketQuantity("furs", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.liquor_wines.quantity / 12);
		system.mainStation.setMarketQuantity("liquor_wines", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(372 + 107 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("gold", new_price);
			new_price = Math.floor(1148 + 139 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("narcotics", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.gold.quantity / 1.5);
			system.mainStation.setMarketQuantity("gold", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.narcotics.quantity / 3);
			system.mainStation.setMarketQuantity("narcotics", shortage_factor);	
			}
        }
        

	if(system.economy == 2)     // poor industrial
        {
        new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("luxuries", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("computers", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("machinery", new_stock); 
		new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("alloys", new_stock); 
		
		new_price = Math.floor(system.mainStation.market.luxuries.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(system.mainStation.market.computers.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(system.mainStation.market.machinery.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("machinery", new_price); 
		new_price = Math.floor(system.mainStation.market.alloys.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price);  
		
		new_price = Math.floor(560 + 7 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(252 + 11 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(212 + 15 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(64 + 20 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5)));
		system.mainStation.setMarketPrice("textiles", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.furs.quantity / 1.5);
		system.mainStation.setMarketQuantity("furs", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.liquor_wines.quantity / 3);
		system.mainStation.setMarketQuantity("liquor_wines", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.radioactives.quantity / 6);
		system.mainStation.setMarketQuantity("radioactives", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.textiles.quantity / 12);
		system.mainStation.setMarketQuantity("textiles", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(1148 + 48 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("narcotics", new_price);
			new_price = Math.floor(44 + 37 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("food", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.food.quantity / 1.5);
			system.mainStation.setMarketQuantity("food", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.narcotics.quantity / 3);
			system.mainStation.setMarketQuantity("narcotics", shortage_factor);	
			}
        }
        

	if(system.economy == 3)     // mainly industrial
        {
        new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("luxuries", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("computers", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("machinery", new_stock); 
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("alloys", new_stock);  
		
		new_price = Math.floor(system.mainStation.market.luxuries.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(system.mainStation.market.computers.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(system.mainStation.market.machinery.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("machinery", new_price); 
		new_price = Math.floor(system.mainStation.market.alloys.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price);   
		
		new_price = Math.floor(560 + 15 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(252 + 40 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(212 + 72 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(64 + 23 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("textiles", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.furs.quantity / 1.5);
		system.mainStation.setMarketQuantity("furs", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.textiles.quantity / 3);
		system.mainStation.setMarketQuantity("textiles", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.liquor_wines.quantity / 6);
		system.mainStation.setMarketQuantity("liquor_wines", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.radioactives.quantity / 12);
		system.mainStation.setMarketQuantity("radioactives", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(44 + 54 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("food", new_price);
			new_price = Math.floor(80 + 72 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("slaves", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.food.quantity / 1.5);
			system.mainStation.setMarketQuantity("food", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.slaves.quantity / 3);
			system.mainStation.setMarketQuantity("slaves", shortage_factor);	
			}
        }
        

	if(system.economy == 4)     // mainly agricultural
        {
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("furs", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("liquor_wines", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("radioactives", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("textiles", new_stock); 
		
		new_price = Math.floor(system.mainStation.market.furs.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(system.mainStation.market.liquor_wines.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(system.mainStation.market.radioactives.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(system.mainStation.market.textiles.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("textiles", new_price);  
		
		new_price = Math.floor(912 + 7 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(840 + 62 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(560 + 112 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("machinery", new_price);
		new_price = Math.floor(328 + 47 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.luxuries.quantity / 1.5);
		system.mainStation.setMarketQuantity("luxuries", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.alloys.quantity / 3);
		system.mainStation.setMarketQuantity("alloys", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.computers.quantity / 6);
		system.mainStation.setMarketQuantity("computers", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.machinery.quantity / 12);
		system.mainStation.setMarketQuantity("machinery", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(80 + 112 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("slaves", new_price);
			new_price = Math.floor(80 + 62 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("minerals", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.minerals.quantity / 1.5);
			system.mainStation.setMarketQuantity("minerals", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.slaves.quantity / 3);
			system.mainStation.setMarketQuantity("slaves", shortage_factor);	
			}
        }
        

	if(system.economy == 5)     // rich agricultural
        {
        new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("furs", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("liquor_wines", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("radioactives", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("textiles", new_stock);  
		
		new_price = Math.floor(system.mainStation.market.furs.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(system.mainStation.market.liquor_wines.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(system.mainStation.market.radioactives.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(system.mainStation.market.textiles.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("textiles", new_price);  
		
		new_price = Math.floor(912 + 222 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(840 + 127 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(560 + 97 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("machinery", new_price);
		new_price = Math.floor(328 + 16 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.alloys.quantity / 1.5);
		system.mainStation.setMarketQuantity("alloys", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.machinery.quantity / 3);
		system.mainStation.setMarketQuantity("machinery", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.computers.quantity / 6);
		system.mainStation.setMarketQuantity("computers", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.luxuries.quantity / 12);
		system.mainStation.setMarketQuantity("luxuries", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(652 + 222 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("platinum", new_price);
			new_price = Math.floor(164 + 169 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("gem_stones", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.gem_stones.quantity / 1.5);
			system.mainStation.setMarketQuantity("gem_stones", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.platinum.quantity / 3);
			system.mainStation.setMarketQuantity("platinum", shortage_factor);	
			}
        }
        

	if(system.economy == 6)     // average agricultural
        {
        new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("furs", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("liquor_wines", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("radioactives", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("textiles", new_stock);  
		
		new_price = Math.floor(system.mainStation.market.furs.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(system.mainStation.market.liquor_wines.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(system.mainStation.market.radioactives.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(system.mainStation.market.textiles.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("textiles", new_price);  
		
		new_price = Math.floor(912 + 95 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(840 + 167 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(560 + 72 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("machinery", new_price);
		new_price = Math.floor(328 + 11 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.alloys.quantity / 1.5);
		system.mainStation.setMarketQuantity("alloys", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.machinery.quantity / 3);
		system.mainStation.setMarketQuantity("machinery", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.luxuries.quantity / 6);
		system.mainStation.setMarketQuantity("luxuries", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.computers.quantity / 12);
		system.mainStation.setMarketQuantity("computers", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(704 + 167 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("firearms", new_price);
			new_price = Math.floor(652 + 126 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("platinum", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.platinum.quantity / 1.5);
			system.mainStation.setMarketQuantity("platinum", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.firearms.quantity / 3);
			system.mainStation.setMarketQuantity("firearms", shortage_factor);	
			}
        }
        

	if(system.economy == 7)     // poor agricultural
        {
        new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);	
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("furs", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("liquor_wines", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
        system.mainStation.setMarketQuantity("radioactives", new_stock);
		new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
		if(new_stock < 0) {new_stock = 0};
		system.mainStation.setMarketQuantity("textiles", new_stock); 
		
		new_price = Math.floor(system.mainStation.market.furs.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("furs", new_price);
		new_price = Math.floor(system.mainStation.market.liquor_wines.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("liquor_wines", new_price);
		new_price = Math.floor(system.mainStation.market.radioactives.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
        system.mainStation.setMarketPrice("radioactives", new_price); 
		new_price = Math.floor(system.mainStation.market.textiles.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("textiles", new_price);  
		
		new_price = Math.floor(912 + 3 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
		system.mainStation.setMarketPrice("luxuries", new_price);
		new_price = Math.floor(840 + 23 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
        system.mainStation.setMarketPrice("computers", new_price);
		new_price = Math.floor(560 + 32 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
        system.mainStation.setMarketPrice("machinery", new_price);
		new_price = Math.floor(328 + 55 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
		system.mainStation.setMarketPrice("alloys", new_price); 
		
		shortage_factor = Math.floor(system.mainStation.market.luxuries.quantity / 1.5);
		system.mainStation.setMarketQuantity("luxuries", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.computers.quantity / 3);
		system.mainStation.setMarketQuantity("computers", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.machinery.quantity / 6);
		system.mainStation.setMarketQuantity("machinery", shortage_factor);
		shortage_factor = Math.floor(system.mainStation.market.alloys.quantity / 12);
		system.mainStation.setMarketQuantity("alloys", shortage_factor);
		
		if(system.government < 3) {	//	riskier but more rewarding
			new_price = Math.floor(704 + 55 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
			system.mainStation.setMarketPrice("firearms", new_price);
			new_price = Math.floor(80 + 32 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
			system.mainStation.setMarketPrice("minerals", new_price);
			
			shortage_factor = Math.floor(system.mainStation.market.minerals.quantity / 1.5);
			system.mainStation.setMarketQuantity("minerals", shortage_factor);
			shortage_factor = Math.floor(system.mainStation.market.firearms.quantity / 3);
			system.mainStation.setMarketQuantity("firearms", shortage_factor);	
			}
        }

}